Package org.eclipse.wst.xsl.ui.internal.contentoutline

## org.eclipse.wst.xsl.ui.internal.contentoutline
Class AttributeShowingLabelProvider

    public class AttributeShowingLabelProvider
    extends org.eclipse.wst.xsl.ui.internal.contentoutline.JFaceNodeLabelProvider

## Field Summary

`package-private static java.lang.String` | `ATTR_ID`
`package-private static java.lang.String` | `ATTR_NAME`
`package-private boolean` | `fShowAttributes`

## Constructor Summary

`AttributeShowingLabelProvider(boolean showAttributes)`

## Method Summary

`public java.lang.String` | `getText(java.lang.Object o)`
`public java.lang.String` | `getToolTipText(java.lang.Object element)`
`public boolean` | `isLabelProperty(java.lang.Object element , java.lang.String property)`
`public void` | `setShowAttributes(boolean fShowAttributes)`

## Field Detail

## ATTR_ID

`package-private static java.lang.String ATTR_ID`

## ATTR_NAME

`package-private static java.lang.String ATTR_NAME`

## fShowAttributes

`package-private boolean fShowAttributes`

## Constructor Detail

## AttributeShowingLabelProvider

`public AttributeShowingLabelProvider(boolean showAttributes)`

## Methods Detail

## getText

`public java.lang.String getText(java.lang.Object o)`

### Parameters

`o`

### Returns

`java.lang.String`

## getToolTipText

`public java.lang.String getToolTipText(java.lang.Object element)`

### Parameters

`element`

### Returns

`java.lang.String`

## isLabelProperty

`public boolean isLabelProperty(java.lang.Object element , java.lang.String property)`

### Parameters

`element`

`property`

### Returns

`boolean`

## setShowAttributes

`public void setShowAttributes(boolean fShowAttributes)`

### Parameters

`fShowAttributes`